def test(n):
    if 2**(n-1)%n != 1:
        return f"{n} n'est assurément pas un nombre premier."
    else:
        return f"{n} est potentiellement premier, mais il faut effectuer d'autres tests pour s'en assurer."
